RT-STUDIO使用野火的DAP下载程序失败

发布于 2020-09-29 17:05:27

使用野火的f429挑战者开发板,以及野火的dap下载程序失败,创建工程时调试器选择的DAP-LINK,接口为JTAG,请问如何解决
控制台信息如下:
D:rt-studioRT-ThreadStudio>cd D:/rt-studio/RT-ThreadStudio/repoExtractDebugger_Support_PackagesRealThreadPyOCD0.1.1
D:rt-studioRT-ThreadStudiorepoExtractDebugger_Support_PackagesRealThreadPyOCD0.1.1>pyocd.exe flash --target=STM32F429IG --erase=auto --frequency=1000000 D:rt-studioRT-ThreadStudioworkspace456Debugrtthread.elf
0000909:CRITICAL:__main__:No ACK received
Traceback (most recent call last):
File "pyocdprobecmsis_dap_probe.py", line 249, in read_dp
File "pyocdprobepydapaccessdap_access_cmsis_dap.py", line 836, in read_reg
File "pyocdprobepydapaccessdap_access_cmsis_dap.py", line 830, in read_reg_cb
File "pyocdprobepydapaccessdap_access_cmsis_dap.py", line 143, in get_result
File "pyocdutilityconcurrency.py", line 28, in _locking
File "pyocdprobepydapaccessdap_access_cmsis_dap.py", line 667, in flush
File "pyocdutilityconcurrency.py", line 28, in _locking
File "pyocdprobepydapaccessdap_access_cmsis_dap.py", line 915, in _read_packet
File "pyocdprobepydapaccessdap_access_cmsis_dap.py", line 449, in decode_data
File "pyocdprobepydapaccessdap_access_cmsis_dap.py", line 418, in _decode_transfer_block_data
File "pyocdprobepydapaccessdap_access_cmsis_dap.py", line 341, in _check_response
pyocd.probe.pydapaccess.dap_access_api.DAPAccessIntf.TransferError: No ACK received
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "pyocd__main__.py", line 362, in run
File "pyocd__main__.py", line 520, in do_flash
File "pyocdcoresession.py", line 302, in enter
File "pyocdcoresession.py", line 420, in open
File "pyocdboardboard.py", line 85, in init
File "pyocdcorecoresight_target.py", line 160, in init
File "pyocdutilitysequencer.py", line 213, in invoke
File "pyocdutilitysequencer.py", line 208, in invoke
File "pyocdcoresightdap.py", line 303, in _connect
File "pyocdcoresightdap.py", line 167, in connect
File "pyocdcoresightdap.py", line 194, in read_idr
File "pyocdprobecmsis_dap_probe.py", line 251, in read_dp
File "<string>", line 3, in raise_from
pyocd.core.exceptions.TransferError: No ACK received
执行完毕, 耗时:1909ms.

查看更多

关注者
0
被浏览
788
rcp
rcp 认证专家 2020-09-29

能否给出更多信息,便于分析问题,比如
板卡,芯片型号,studio版本,下载时控制台完整的打印日志

4 个回答
luwenhua
luwenhua 2020-11-12

用野火的dap高速版,下载时,干脆直接提示未找到dap-link

D:\RT-ThreadStudio>cd /d D:\RT-ThreadStudio\repo\Extract\Debugger_Support_Packages\RealThread\PyOCD\0.1.1 
D:\RT-ThreadStudio\repo\Extract\Debugger_Support_Packages\RealThread\PyOCD\0.1.1>pyocd.exe flash --target=STM32F103RC --erase=auto  --frequency=1000000 D:\RT-ThreadStudio\workspace\hello\Debug\rtthread.bin 

Waiting for a debug probe to be connected...

执行完毕, 耗时:1091ms.

chenyaxing
chenyaxing 2020-12-16

看起来是 daplink 的无响应,需要确认下 1. 硬件连接是否正确 2. daplink 驱动是否合适(MDK 下cmsis dap 识别的是hid 设备,跟pyocd 有些不同)

确认硬件连接没有问题后,可以做以下尝试:

  1. 修改erase 方式位chip
  2. 调整frequency
  3. 使用pyocd 0.1.0 版本,0.1.0 使用bin文件作为输入
Juggernaut
Juggernaut 2021-05-29

楼主问题解决没???我也遇到同样问题了。

撰写答案

请登录后再发布答案,点击登录

发布
问题

分享
好友

手机
浏览

扫码手机浏览